### Enumeration

# Gimp LayerCompositeMode

#### Declaration

    enum Gimp.LayerCompositeMode

#### Description [src]

Extracted from app/operations/operations-enums.h.

#### Members

`GIMP_LAYER_COMPOSITE_AUTO`

  GIMP_LAYER_COMPOSITE_AUTO.

  - Value: `0`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_UNION`

  GIMP_LAYER_COMPOSITE_UNION.

  - Value: `1`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_CLIP_TO_BACKDROP`

  GIMP_LAYER_COMPOSITE_CLIP_TO_BACKDROP.

  - Value: `2`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_CLIP_TO_LAYER`

  GIMP_LAYER_COMPOSITE_CLIP_TO_LAYER.

  - Value: `3`
  - Available since: 3.0
`GIMP_LAYER_COMPOSITE_INTERSECTION`

  GIMP_LAYER_COMPOSITE_INTERSECTION.

  - Value: `4`
  - Available since: 3.0